org.apache.tinkerpop.gremlin.process.computer

## Enum GraphFilter.Legal

- java.lang.Object
- - java.lang.Enum<GraphFilter.Legal>
  - - org.apache.tinkerpop.gremlin.process.computer.GraphFilter.Legal

- All Implemented Interfaces:
    Serializable, Comparable<GraphFilter.Legal>
  Enclosing class:
    GraphFilter

      public static enum GraphFilter.Legal
      extends Enum<GraphFilter.Legal>

  A enum denoting whether a particular result will be allowed or not. `YES` means that the specified element set will definitely not be removed by `GraphFilter`. `MAYBE` means that the element set may or may not be filtered out by the `GraphFilter`. `NO` means that the specified element set will definitely be removed by `GraphFilter`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAYBE`
    `NO`
    `YES`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `negative()` The enum is `NO`.
    `boolean` | `positive()` The enum is either `YES` or `MAYBE`.
    `static GraphFilter.Legal` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static GraphFilter.Legal[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final GraphFilter.Legal YES

    - #### MAYBE

          public static final GraphFilter.Legal MAYBE

    - #### NO

          public static final GraphFilter.Legal NO

  - ### Method Detail

    - #### values

          public static GraphFilter.Legal[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (GraphFilter.Legal c : GraphFilter.Legal.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static GraphFilter.Legal valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### positive

          public boolean positive()

      The enum is either `YES` or `MAYBE`.
      Returns:
        true if potentially legal.

    - #### negative

          public boolean negative()

      The enum is `NO`.
      Returns:
        true if definitely not legal.

Copyright © 2013–2018 Apache Software Foundation. All rights reserved.